using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace XNAGlobe
{
    /// <summary>
    /// This is the main type for your game
    /// </summary>
    public class Game1 : Microsoft.Xna.Framework.Game
    {
        GraphicsDeviceManager graphics;
        SpriteBatch spriteBatch;
        SpriteFont gameFont;

        enum Season
        {
            SPRING = 0,
            SUMMER = 1,
            AUTUMN = 2,
            WINTER = 3
        }

        Season currentSeason = Season.SPRING;

        public Game1()
        {
            graphics = new GraphicsDeviceManager(this);
            graphics.PreferredBackBufferWidth = 966;
            graphics.PreferredBackBufferHeight = 544;
            Content.RootDirectory = "Content";
        }

        protected override void Initialize()
        {
            // TODO: Add your initialization logic here

            base.Initialize();
        }

        protected override void LoadContent()
        {
            spriteBatch = new SpriteBatch(GraphicsDevice);
            gameFont = Content.Load<SpriteFont>("GameFont");
        }

        protected override void UnloadContent()
        {
        }

        protected override void Update(GameTime gameTime)
        {
            switch (currentSeason)
            {
                case Season.SPRING:
                    {
                        break;
                    }
                case Season.SUMMER:
                    {
                        break;
                    }
                case Season.WINTER:
                    {
                        break;
                    }
            }

            Utils.FrameCounter.Update(gameTime);
            base.Update(gameTime);
        }

        protected override void Draw(GameTime gameTime)
        {
            GraphicsDevice.Clear(Color.Black);

            switch (currentSeason)
            {
                case Season.SPRING:
                    {
                        break;
                    }
                case Season.SUMMER:
                    {
                        break;
                    }
                case Season.WINTER:
                    {
                        break;
                    }
            }

            spriteBatch.Begin();
            Utils.FrameCounter.Draw(spriteBatch, gameFont, gameTime);
            spriteBatch.DrawString(
                gameFont, currentSeason.ToString(), 
                new Vector2(32, 50), Color.White);
            spriteBatch.End();
            base.Draw(gameTime);
        }
    }
}
